[arch-commits] Commit in cabal-install/repos (2 files)

Felix Yan felixonmars at archlinux.org
Mon May 25 13:15:13 UTC 2020


    Date: Monday, May 25, 2020 @ 13:15:13
  Author: felixonmars
Revision: 634245

archrelease: copy trunk to community-staging-x86_64

Added:
  cabal-install/repos/community-staging-x86_64/
  cabal-install/repos/community-staging-x86_64/PKGBUILD
    (from rev 634244, cabal-install/trunk/PKGBUILD)

----------+
 PKGBUILD |   45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

Copied: cabal-install/repos/community-staging-x86_64/PKGBUILD (from rev 634244, cabal-install/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2020-05-25 13:15:13 UTC (rev 634245)
@@ -0,0 +1,45 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Thomas Dziedzic <gostrc at gmail.com>
+# Contributor: Vesa Kaihlavirta <vesa at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+
+pkgname=cabal-install
+pkgver=3.2.0.0
+pkgrel=14
+pkgdesc="The command-line interface for Cabal and Hackage."
+url="https://hackage.haskell.org/package/cabal-install"
+license=('BSD')
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-async' 'haskell-base16-bytestring' 'haskell-cryptohash-sha256'
+         'haskell-echo' 'haskell-edit-distance' 'haskell-hackage-security' 'haskell-hashable'
+         'haskell-http' 'haskell-network' 'haskell-network-uri' 'haskell-random' 'haskell-resolv'
+         'haskell-tar' 'haskell-zlib' 'haskell-lukko')
+makedepends=('ghc')
+source=("https://hackage.haskell.org/package/cabal-install-${pkgver}/cabal-install-${pkgver}.tar.gz"
+        $pkgname-ghc8.10.patch::https://github.com/haskell/cabal/pull/6711.patch)
+sha512sums=('ad937b2df42b688e4608aa2b91a25daf1042e5573626202e5182cbfeca9acc5933194853405a6396c60d0d28d6d0d5c5276fd85cb6acf4be2c8cd12afe747062'
+            '9e7245f5080e9c1609994b21d13ecbacb78fa9314d80425464f714f9bd68910d3fb4a5101b582461a89ec0b7115ef6acb2eb4ffba7a2477f65dca192f1eac1e7')
+
+prepare() {
+    cd $pkgname-$pkgver
+    patch -p2 -i ../$pkgname-ghc8.10.patch || :
+}
+
+build() {
+  cd $pkgname-$pkgver
+
+  runhaskell Setup configure -O --prefix=/usr --enable-executable-dynamic --disable-library-vanilla \
+    --docdir="/usr/share/doc/${pkgname}"
+  runhaskell Setup build $MAKEFLAGS
+}
+
+package() {
+  cd $pkgname-$pkgver
+  runhaskell Setup copy --destdir="${pkgdir}"
+
+  install -Dm644 LICENSE \
+    "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+
+  install -Dm644 bash-completion/cabal \
+    "${pkgdir}/usr/share/bash-completion/completions/cabal"
+}


More information about the arch-commits mailing list